using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;
using System.IO;

namespace spring16_sem2_win07
{
    public partial class Form1 : Form
    {
        static public string searchstring;
        static public int searchmode;


        public Form1()
        {
            InitializeComponent();
        }

        private void button1_Click(object sender, EventArgs e)
        {
            // insert
            StreamWriter sw = new StreamWriter("data.dat", true);
            sw.Write(textBox1.Text + ";"); // Brand
            sw.Write(textBox2.Text + ";"); // Type
            sw.Write(textBox3.Text + ";"); // year
            sw.Write(textBox4.Text + ";"); // km
            sw.Write(textBox5.Text + ";"); // Tax / year
            sw.Write(textBox6.Text + ";"); // price
            sw.WriteLine(textBox7.Text);   // color
            sw.Close();
            textBox1.Text = "";
            textBox2.Text = "";
            textBox3.Text = "";
            textBox4.Text = "";
            textBox5.Text = "";
            textBox6.Text = "";
            textBox7.Text = "";
        }

        private void button2_Click(object sender, EventArgs e)
        {
            // edit
            StreamReader sr = new StreamReader("data.dat");
            StreamWriter sw = new StreamWriter("temp.dat");
            string str, str1;
            while ((str = sr.ReadLine()) != null)
            {
                string[] s = str.Split(';');
                str1 = listBox1.SelectedItem.ToString();
                string[] t = str1.Split(';');
                if ((s[0] == t[0]) && (s[1] == t[1]) && (s[2] == t[2]) && (s[5] == t[3]))
                {
                    sw.Write(textBox1.Text + ";"); // Brand
                    sw.Write(textBox2.Text + ";"); // Type
                    sw.Write(textBox3.Text + ";"); // year
                    sw.Write(textBox4.Text + ";"); // km
                    sw.Write(textBox5.Text + ";"); // Tax / year
                    sw.Write(textBox6.Text + ";"); // price
                    sw.WriteLine(textBox7.Text);   // color
                    textBox1.Text = "";
                    textBox2.Text = "";
                    textBox3.Text = "";
                    textBox4.Text = "";
                    textBox5.Text = "";
                    textBox6.Text = "";
                    textBox7.Text = "";
                }
                else
                {
                    sw.WriteLine(str);
                }
            }
            sr.Close();
            sw.Close();
            File.Delete("data.dat");
            File.Move("temp.dat","data.dat");
            
        }

        private void button3_Click(object sender, EventArgs e)
        {
            //delete
            StreamReader sr = new StreamReader("data.dat");
            StreamWriter sw = new StreamWriter("temp.dat");
            string str, str1;
            while ((str = sr.ReadLine()) != null)
            {
                string[] s = str.Split(';');
                str1 = listBox1.SelectedItem.ToString();
                string[] t = str1.Split(';');
                if ((s[0] == t[0]) && (s[1] == t[1]) && (s[2] == t[2]) && (s[5] == t[3]))
                {
                    textBox1.Text = "";
                    textBox2.Text = "";
                    textBox3.Text = "";
                    textBox4.Text = "";
                    textBox5.Text = "";
                    textBox6.Text = "";
                    textBox7.Text = "";
                }
                else
                {
                    sw.WriteLine(str);
                }
            }
            sr.Close();
            sw.Close();
            File.Delete("data.dat");
            File.Move("temp.dat", "data.dat");
        }

        private void button4_Click(object sender, EventArgs e)
        {
            // search
            if(checkBox1.Checked)
            { // looking for Brand
                searchmode = 1;
                searchstring = textBox8.Text;
            }
            if (checkBox2.Checked)
            { // looking for Type
                searchmode = 2;
                searchstring = textBox8.Text;
            }
            if (checkBox3.Checked)
            { // looking for year
                searchmode = 3;
                searchstring = textBox8.Text;
            }
            if (checkBox4.Checked)
            { // looking for km
                searchmode = 5;
                searchstring = textBox8.Text;
            }
            if (checkBox5.Checked)
            { // looking for tax / year
                searchmode = 5;
                searchstring = textBox8.Text;
            }
            if (checkBox6.Checked)
            { // looking for price
                searchmode = 6;
                searchstring = textBox8.Text;
            }
            if (checkBox7.Checked)
            { // looking for color
                searchmode = 7;
                searchstring = textBox8.Text;
            }

            search();
        }

        private void search()
        {
            StreamReader sr = new StreamReader("data.dat");
            string str;
            int sint, oint;
            listBox1.Items.Clear();
            while ((str = sr.ReadLine()) != null)
            {
                string[] s = str.Split(';');
                if (searchmode == 1) // brand
                {
                    if (searchstring.ToLower() == s[0].ToLower())
                    {
                        textBox1.Text = s[0]; // brand
                        textBox2.Text = s[1]; // type
                        textBox3.Text = s[2]; // year
                        textBox4.Text = s[3]; // km
                        textBox5.Text = s[4]; // tax/year
                        textBox6.Text = s[5]; // price
                        textBox7.Text = s[6]; // color
                        listBox1.Items.Add(s[0] + ";" + s[1] + ";" + s[2] + ";" + s[5]);
                    }
                }
                if (searchmode == 2) // type
                {
                    if (searchstring.ToLower() == s[1].ToLower())
                    {
                        textBox1.Text = s[0]; // brand
                        textBox2.Text = s[1]; // type
                        textBox3.Text = s[2]; // year
                        textBox4.Text = s[3]; // km
                        textBox5.Text = s[4]; // tax/year
                        textBox6.Text = s[5]; // price
                        textBox7.Text = s[6]; // color
                        listBox1.Items.Add(s[0] + ";" + s[1] + ";" + s[2]+ ";" + s[5]);
                    }
                }
                if (searchmode == 3) // year
                {
                    sint = Convert.ToInt32(searchstring);
                    oint=Convert.ToInt32(s[2]);
                    if (sint <= oint)
                    {
                        textBox1.Text = s[0]; // brand
                        textBox2.Text = s[1]; // type
                        textBox3.Text = s[2]; // year
                        textBox4.Text = s[3]; // km
                        textBox5.Text = s[4]; // tax/year
                        textBox6.Text = s[5]; // price
                        textBox7.Text = s[6]; // color
                        listBox1.Items.Add(s[0] + ";" + s[1] + ";" + s[2]+ ";" + s[5]);
                    }
                }
                if (searchmode == 4) // km
                {
                    sint = Convert.ToInt32(searchstring);
                    oint = Convert.ToInt32(s[3]);
                    if (sint >= oint)
                    {
                        textBox1.Text = s[0]; // brand
                        textBox2.Text = s[1]; // type
                        textBox3.Text = s[2]; // year
                        textBox4.Text = s[3]; // km
                        textBox5.Text = s[4]; // tax/year
                        textBox6.Text = s[5]; // price
                        textBox7.Text = s[6]; // color
                        listBox1.Items.Add(s[0] + ";" + s[1] + ";" + s[2]+ ";" + s[5]);
                    }
                }
                if (searchmode == 5) // tax / year
                {
                    sint = Convert.ToInt32(searchstring);
                    oint = Convert.ToInt32(s[4]);
                    if (sint >= oint)
                    {
                        textBox1.Text = s[0]; // brand
                        textBox2.Text = s[1]; // type
                        textBox3.Text = s[2]; // year
                        textBox4.Text = s[3]; // km
                        textBox5.Text = s[4]; // tax/year
                        textBox6.Text = s[5]; // price
                        textBox7.Text = s[6]; // color
                        listBox1.Items.Add(s[0] + ";" + s[1] + ";" + s[2]+ ";" + s[5]);
                    }
                }
                if (searchmode == 6) // price
                {
                    sint = Convert.ToInt32(searchstring);
                    oint = Convert.ToInt32(s[5]);
                    if (sint >= oint)
                    {
                        textBox1.Text = s[0]; // brand
                        textBox2.Text = s[1]; // type
                        textBox3.Text = s[2]; // year
                        textBox4.Text = s[3]; // km
                        textBox5.Text = s[4]; // tax/year
                        textBox6.Text = s[5]; // price
                        textBox7.Text = s[6]; // color
                        listBox1.Items.Add(s[0] + ";" + s[1] + ";" + s[2]+ ";" + s[5]);
                    }
                }
                if (searchmode == 7) // color
                {
                    if (searchstring.ToLower() == s[6].ToLower())
                    {
                        textBox1.Text = s[0]; // brand
                        textBox2.Text = s[1]; // type
                        textBox3.Text = s[2]; // year
                        textBox4.Text = s[3]; // km
                        textBox5.Text = s[4]; // tax/year
                        textBox6.Text = s[5]; // price
                        textBox7.Text = s[6]; // color
                        listBox1.Items.Add(s[0] + ";" + s[1] + ";" + s[2]+ ";" + s[5]);
                    }
                }
            }
            sr.Close();
        }

        private void listBox1_SelectedIndexChanged(object sender, EventArgs e)
        {
            // select in listbox
            try
            {
                StreamReader sr = new StreamReader("data.dat");
                string str, str1;
                while ((str = sr.ReadLine()) != null)
                {
                    string[] s = str.Split(';');
                    str1 = listBox1.SelectedItem.ToString();
                    string[] t = str1.Split(';');
                    if ((s[0] == t[0]) && (s[1] == t[1]) && (s[2] == t[2]) && (s[5] == t[3]))
                    {
                        textBox1.Text = s[0]; // brand
                        textBox2.Text = s[1]; // type
                        textBox3.Text = s[2]; // year
                        textBox4.Text = s[3]; // km
                        textBox5.Text = s[4]; // tax/year
                        textBox6.Text = s[5]; // price
                        textBox7.Text = s[6]; // color
                    }
                }
                sr.Close();
            }
            catch
            {

            }
            }
    }
}